local modname = core.get_current_modname()
local modpath = core.get_modpath(modname)

mcl_ruby_stuff = {}
mcl_ruby_stuff.recipe = core.settings:get(modname .. ".recipe")
mcl_ruby_stuff.scale = core.settings:get(modname .. ".recipe") == "nine_redstone_blocks" and 2 or 1

dofile(modpath.."/armor.lua")
dofile(modpath.."/recipes.lua")

if core.global_exists("mcl_tools") and mcl_tools.register_set then
	dofile(modpath.."/mcla_tools.lua")
else
	dofile(modpath.."/vl_tools.lua")
end

if core.get_modpath("vl_weaponry") and core.get_modpath("vl_projectile") then
	dofile(modpath.."/weaponry.lua")
end
